//-------------------------------------------------------------------------------
// File Name:	inout.h
// Brief: 
// Version:		1.0.0
// Create Date: 2021/07/21
// Create by: 	Marshal Lee
// Copyright: 
//				Copyright (c)  2021, Richpeace Co., LTD.
//				All rights reserved.
//
// Modify by:	Marshal Lee
// Modify Date:	2021/07/21
//-------------------------------------------------------------------------------



#ifndef __IN_OUT_H__
#define __IN_OUT_H__

#include "config.h"

//-------------通讯部分-------------------------

// 485输出允许
void SetEn485OutOn(void);
void SetEn485OutOff(void);
void SetEn485OutToggle(void);
u8 GetEn485OutStatus(void);

void SetEn485_2_OutOn(void);
void SetEn485_2_OutOff(void);
void SetEn485_2_OutToggle(void);
u8 GetEn485_2_OutStatus(void);
//-----------------电机控制信号---------------------

// MOTO1
void SetMoto1StepOn(void);
void SetMoto1StepOff(void);
void SetMoto1StepToggle(void);
u8 GetMoto1StepStatus(void);

void SetMoto1DirOn(void);
void SetMoto1DirOff(void);
void SetMoto1DirToggle(void);
u8 GetMoto1DirStatus(void);

void SetMoto1EnOn(void);
void SetMoto1EnOff(void);
void SetMoto1EnToggle(void);
u8 GetMoto1EnStatus(void);

//-----------------输入信号---------------------
u8 GetSwitch1Status(void);
u8 GetSwitch2Status(void);
u8 GetSwitch3Status(void);
u8 GetSwitch4Status(void);

u8 GetInputAPStatus(void);
u8 GetInputBPStatus(void);
u8 GetInputZPStatus(void);

u8 GetInput1Status(void);
u8 GetInput2Status(void);
u8 GetInput3Status(void);
u8 GetInput4Status(void);
u8 GetInput5Status(void);
u8 GetInput6Status(void);
u8 GetInput7Status(void);
u8 GetInput8Status(void);
//-----------------输出信号---------------------
void SetSysLedOn(void);
void SetSysLedOff(void);
void SetSysLedToggle(void);
u8 GetSysLedStatus(void);

void SetOutputPWM1On(void);
void SetOutputPWM1Off(void);
u8 GetOutputPWM1Status(void);

void SetOutputPWM2On(void);
void SetOutputPWM2Off(void);
u8 GetOutputPWM2Status(void);

void SetOutput1On(void);
void SetOutput1Off(void);
void SetOutput1Toggle(void);
u8 GetOutput1Status(void);

void SetOutput2On(void);
void SetOutput2Off(void);
void SetOutput2Toggle(void);
u8 GetOutput2Status(void);

void SetOutput3On(void);
void SetOutput3Off(void);
u8 GetOutput3Status(void);

void SetOutput4On(void);
void SetOutput4Off(void);
u8 GetOutput4Status(void);

void SetOutput5On(void);
void SetOutput5Off(void);
u8 GetOutput5Status(void);

void SetOutput6On(void);
void SetOutput6Off(void);
u8 GetOutput6Status(void);

void SetOutput7On(void);
void SetOutput7Off(void);
u8 GetOutput7Status(void);

void SetOutput8On(void);
void SetOutput8Off(void);
u8 GetOutput8Status(void);
//-----------------------------------
void SetOutputNull(void);
u8 GetInputNullOn(void);
u8 GetInputNullOff(void);

#endif

